## org.w3c.dom.svg
Interface SVGFESpotLightElement

All Superinterfaces:
  org.w3c.dom.Element, org.w3c.dom.Node, SVGElement

All Known Implementing Classes:
  SVGOMFESpotLightElement

public interface SVGFESpotLightElement
extends SVGElement

Field Summary

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`SVGAnimatedNumber` `getLimitingConeAngle()`
`SVGAnimatedNumber` `getPointsAtX()`
`SVGAnimatedNumber` `getPointsAtY()`
`SVGAnimatedNumber` `getPointsAtZ()`
`SVGAnimatedNumber` `getSpecularExponent()`
`SVGAnimatedNumber` `getX()`
`SVGAnimatedNumber` `getY()`
`SVGAnimatedNumber` `getZ()`

Methods inherited from interface org.w3c.dom.svg.SVGElement
`getId, getOwnerSVGElement, getViewportElement, getXMLbase, setId, setXMLbase`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setNodeValue, setPrefix`

Method Detail

### getX

    public SVGAnimatedNumber getX()

### getY

    public SVGAnimatedNumber getY()

### getZ

    public SVGAnimatedNumber getZ()

### getPointsAtX

    public SVGAnimatedNumber getPointsAtX()

### getPointsAtY

    public SVGAnimatedNumber getPointsAtY()

### getPointsAtZ

    public SVGAnimatedNumber getPointsAtZ()

### getSpecularExponent

    public SVGAnimatedNumber getSpecularExponent()

### getLimitingConeAngle

    public SVGAnimatedNumber getLimitingConeAngle()

Copyright © 2004 Apache Software Foundation. All Rights Reserved.